> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ledger.nxos.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Vouchers

> Retrieves a list of vouchers based on specified criteria.



## OpenAPI

````yaml service-openapi GET /v1/service/voucher
openapi: 3.0.0
info:
  title: Service API
  version: 0.0.0
servers:
  - url: https://api.nxos.io
    description: single server endpoint
    variables: {}
security: []
tags: []
paths:
  /v1/service/voucher:
    get:
      summary: List vouchers
      description: Retrieves a list of vouchers based on specified criteria.
      operationId: Vouchers_listVouchers
      parameters: []
      responses:
        '200':
          description: A paginated list of Voucher objects matching the specified criteria.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Voucher'
components:
  schemas:
    Voucher:
      type: object
      required:
        - voucher_id
        - value
        - expires_at
        - provider_name
        - funding_source_account
        - status
      properties:
        voucher_id:
          type: string
          description: Unique identifier for the voucher.
        value:
          allOf:
            - $ref: '#/components/schemas/PaymentValue'
          description: The value of the voucher.
        expires_at:
          type: string
          description: The expiration date of the voucher in ISO 8601 format.
        provider_name:
          type: string
          description: The name of the voucher provider or issuing system.
        funding_source_account:
          type: string
          description: The account ID from which funds were sourced to back the voucher.
        status:
          allOf:
            - $ref: '#/components/schemas/VoucherStatus'
          description: The current status of the voucher.
    PaymentValue:
      type: object
      required:
        - amount
        - asset_code
      properties:
        amount:
          type: string
          description: >-
            The amount of the payment, in string representation. All amounts
            should be passed in full subunits, e.g. 1000 for 10.00
        asset_code:
          type: string
          description: >-
            The asset_code of the payment. The asset must've been created in the
            system before it can be used in payments
    VoucherStatus:
      type: string
      enum:
        - ACTIVE
        - PARTIALLY_REDEEMED
        - FULLY_REDEEMED
        - EXPIRED
        - CANCELLED

````